body {
    font-family: 'Work Sans', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: #2E2E2D;
}

header, footer {
    background-color: #232730;
    color: white;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-container, .footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.logo img {
    width: 150px;
}

.separator {
    flex-grow: 1;
    height: 2px;
    background-color: #a9a69e;
    margin: 0 20px;
}

.separator-vertical {
    width: 3px;
    height: 500px;
    background-color: #292d36;
    margin: 0 20px;
}

.store-button,
.store-button-product, .store-button-about {
    background-color: #A19F7C;
    color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 5px;
    text-decoration: none; /* Rimuove la sottolineatura */
    margin-top: 20px; /* Aggiungi margine superiore */
}

.store-button {
    font-weight: 700;
    margin-top: 0px;
}

.store-button a, .store-button-about a {
    color: white;
    cursor: pointer;
    font-weight: 700;
    text-decoration: none;
}

.store-button-product {
    font-weight: 600;
    font-size: 14px; /* Diminuisci la dimensione del font */
}

.store-button-about {
    font-size: 19px; /* Diminuisci la dimensione del font */
}

.store-button:hover {
    background-color: #8f8c86;
}

main {
    text-align: center;
}

#hero {
    background-color: #f1f1f1;
    padding: 50px 0;
    min-height: 100vh;
    background-image: url('https://hermanodevida.it/img/sfondo-hero.jpg');
    background-size: cover;
    background-position: center;
    color: #2E2E2D;
    text-align: left;
    padding-left: 70px;
}

.hero-content {
    max-width: 500px;
    float: left;
    padding: 200px 0;
}

.hero-content h1 {
    font-size: 45px;
    margin-bottom: 20px;
}

#product {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
    margin-bottom: 30px;
}

.product-content {
    display: flex;
    align-items: center;
    justify-content: center; /* Centra il contenuto */
    width: 90%;
    max-width: 1200px;
    margin: 0 auto; /* Aggiungi margini automatici per centrare */
}

.product-image {
    position: relative;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.product-image img {
    width: 100%;
    height: auto;
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    font-size: 2rem;
    font-weight: bold;
    color: #2E2E2D;
    background-color: rgba(255, 255, 255, 0.8);
    border: none;
    padding: 10px;
    user-select: none;
    z-index: 10;
}

.prev {
    left: -30px;
}

.next {
    right: -30px;
}

.prev:hover, .next:hover {
    background-color: rgba(255, 255, 255, 1);
}

.product-details {
    width: 40%;
    align: center;
}

.dettagli-testi {
    text-align: left;
    margin-left: 140px;
}

.product-details h2 {
    font-size: 1.1em;
    margin-bottom: 10px;
    font-weight: 400;
}

.product-details .price {
    font-size: 3em;
    font-weight: 800;
    margin-bottom: 20px;
    margin-top: auto;
}

.texture-options {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.texture-options button {
    text-transform: uppercase;
    font-weight: 600;
    background-color: white;
    border: 1px solid #9c9a9a;
    border-radius: 8px;
    padding: 10px;
    cursor: pointer;
    color: #2E2E2D;
    opacity: 0.8;
    flex: 1 1 calc(21% - 10px);
    margin: 5px;
}

.color-options {
    margin-bottom: 20px; /* Aggiungi del margine inferiore alle icone dei colori */
}
.color-options button {
    background-color: white;
    border: 1px solid #ccc;
    padding: 10px;
    margin: 5px;
    cursor: pointer;
}

.texture-options button:hover, .color-options button:hover {
    background-color: #e1e1e1;
}

.texture-options button.active {
    border-color: #707070;
    color: #2E2E2D;
    opacity: 1;
}

.color-options button.active {
    border-color: #000;
}

#feature-image img {
    width: 100%;
    height: auto;
    display: block;
}

#feature-image {
    padding: 50px 0;
    min-height: 100vh;
    background-image: url('https://hermanodevida.it/img/feature-image.webp');
    background-size: cover;
    background-position: center;
    color: white;
    text-align: left;
    padding-left: 200px;
}

#about {
    padding: 50px 20px;
    background-color: #eaeae1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-height: 100vh;
}

.about-content {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
}

.about-text {
    text-align: left;
    width: 35%;
    line-height: 28px;
}

.about-text h2 {
    font-family: 'Work Sans', serif;
    font-size: 2.5rem;
    line-height: 40px;

}

.features {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
    width: 30%;
}

.feature {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.feature-circle {
    width: 100px;
    height: 100px;
    background-color: white;
    border: 4px solid #a9a69e;
    border-radius: 50%;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.feature img {
    width: 150%;
    height: 150%;
}

.feature p {
    margin: 10px 0 0 0;
    font-weight: 600;
}

@media (min-width: 320px) and (max-width: 768px) {
    .header-container, .footer-container {
        flex-direction: row;
        text-align: center;
        gap: 20px;
    }
  
   .logo img {
    width: 130px;
  }
  
    .separator {
    display: none;
    }
  
    #hero {
        background-position: center;
        text-align: center;
        padding: 0px; 
        background-image: url('https://hermanodevida.it/img/sfondo-hero-mobile-cent.png');
    }
    
    .hero-content {
        padding-top: 30px;
        padding-left: 20px;
        padding-right: 20px;
        float: none;
        max-width: 100%;
    }
  
    .hero-content h1 {
        font-size: 1.7rem;
    }
  
    .store-button {
        margin-bottom: 15px;
        margin-top: 15px;
        font-size: 12px;
    }

    .product-content, .about-content {
        flex-direction: column;
    }

    .product-image img {
        width: 80%;
    }
  
    .store-button-product {
        font-size: 17px;
    }
  
   .store-button-about {
    font-size: 14px; /* Diminuisci la dimensione del font */
    margin-bottom: 30px;
    }

    .about-text {
        width: 90%;
        text-align: center;
    }

    .features {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        gap: 20px; /* Spazio tra gli elementi */
        width: 100%;
    }
   
    .feature img {
        width: 130px;
        height: 130px;
    }

    .separator-vertical {
        display: none;
    }
  
    #about button.store-button {
        margin-bottom: 50px;
        margin-top: 20px;
    }
  
    .color-options button {
        width: 50px;
        height: 50px;
    } 
    
    .texture-options button {
        font-weight: 600;
        padding: 17px;
        font-size: 15px; 
        flex: 1 1 calc(50% - 10px);
    }
      
    .dettagli-testi {
        text-align: center;
        margin: auto; 
    } 
  
    .product-content {
        flex-direction: column; /* Disporre in colonna su schermi piccoli */
        align-items: center; /* Centra gli elementi in colonna */
    }

    .product-image, .product-details {
        width: 100%;
        margin-left: 0; /* Rimuovi margine a sinistra */
    }

    .product-details {
        margin-top: 20px; /* Aggiungi margine sopra */
    }

    .prev {
        left: 10px;
    }

    .next {
        right: 10px;
    }

    .texture-options {
        margin: 20px 0;
        text-align: center; /* Centra i pulsanti delle texture */
    }

    .color-options {
        text-align: center; /* Centra i pulsanti dei colori */
        margin-bottom: 40px;
    }
}
